# ucs_vlan_find – Find VLANs on Cisco UCS Manager

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Find VLANs on Cisco UCS Manager based on different criteria.

## Requirements

The below requirements are needed on the host that executes this module.

- ucsmsdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

fabric
string

Choices:
- common ←
- A
- B

The fabric configuration of the VLAN. This can be one of the following:
common - The VLAN applies to both fabrics and uses the same configuration parameters in both cases.
A — The VLAN only applies to fabric A.
B — The VLAN only applies to fabric B.

hostname string / required |  | IP address or hostname of Cisco UCS Manager.
password string / required |  | Password for Cisco UCS Manager authentication.
pattern string |  | Regex pattern to find within the name property of the fabricVlan class. This is required if `vlanid` parameter is not supplied.
port integer |  | Port number to be used during connection (by default uses 443 for https and 80 for http connection).
proxy string |  | If use_proxy is no, specfies proxy to be used for connection. e.g. 'http://proxy.xy.z:8080'

use_proxy
boolean

Choices:
- no
- yes ←

If `no`, will not use the proxy as defined by system environment variable.

use_ssl
boolean

Choices:
- no
- yes ←

If `no`, an HTTP connection will be used instead of the default HTTPS connection.

username string | Default: "admin" | Username for Cisco UCS Manager authentication.
vlanid string |  | The unique string identifier assigned to the VLAN. A VLAN ID can be between '1' and '3967', or between '4048' and '4093'. This is required if `pattern` parameter is not supplied.

## Examples

    - name: Get all vlans in fabric A
      ucs_vlan_find:
        hostname: 172.16.143.150
        username: admin
        password: password
        fabric: 'A'
        pattern: '.'
    - name: Confirm if vlan 15 is present
      ucs_vlan_find:
        hostname: 172.16.143.150
        username: admin
        password: password
        vlanid: '15'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
vlan_list list | on success | basic details of vlans found Sample: [{'id': '0', 'name': 'vlcloud1'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- David Martinez (@dx0xm)
- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.